
OpenID Fix - Feature #2113

Limit sources

14 Oct 2012 11:27 - Andriy Lesyuk

Status: Closed Start date: 14 Oct 2012

Priority: Major Due date: 14 Apr 2014

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.2.0   

External issue:    

Description

Not sure how difficult to create an OpenID provider... But what if spamers do this? Then they will be able to login with just any

username and password...

See also: http://www.redmine.org/boards/2/topics/19995

History

#1 - 07 Feb 2013 13:03 - Andriy Lesyuk

- Priority changed from Critical to Major

I need to think more about this feature. Currently the idea is to:

Add new item to admin menu below “LDAP authentication” called “OpenID Provider”, which will be activated when user selects “Restrict OpenID

providers”

Add new database with fields:

1. Name

2. URL

3. Enabled or disabled

All not registered in the database providers should be disabled, of course.

The feature should integrate Redmine OpenID Selector plugin of Jorge Barata Gonzalez.

#2 - 14 Apr 2014 21:06 - Andriy Lesyuk

- Due date set to 14 Apr 2014

- Status changed from Open to Closed

- Target version set to 0.2.0

- % Done changed from 0 to 100
